// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: tms/model/driver.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Driver struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             int64                     `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	FirstName      string                    `protobuf:"bytes,2,opt,name=firstName,proto3" json:"firstName,omitempty"`
	LastName       string                    `protobuf:"bytes,3,opt,name=lastName,proto3" json:"lastName,omitempty"`
	PatronymicName string                    `protobuf:"bytes,4,opt,name=patronymicName,proto3" json:"patronymicName,omitempty"`
	Contacts       []*common.KeyValueContact `protobuf:"bytes,20,rep,name=contacts,proto3" json:"contacts,omitempty"`
}

func (x *Driver) Reset() {
	*x = Driver{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_model_driver_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Driver) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Driver) ProtoMessage() {}

func (x *Driver) ProtoReflect() protoreflect.Message {
	mi := &file_tms_model_driver_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Driver.ProtoReflect.Descriptor instead.
func (*Driver) Descriptor() ([]byte, []int) {
	return file_tms_model_driver_proto_rawDescGZIP(), []int{0}
}

func (x *Driver) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Driver) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *Driver) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *Driver) GetPatronymicName() string {
	if x != nil {
		return x.PatronymicName
	}
	return ""
}

func (x *Driver) GetContacts() []*common.KeyValueContact {
	if x != nil {
		return x.Contacts
	}
	return nil
}

var File_tms_model_driver_proto protoreflect.FileDescriptor

var file_tms_model_driver_proto_rawDesc = []byte{
	0x0a, 0x16, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x64, 0x72, 0x69, 0x76,
	0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x74, 0x6d, 0x73, 0x1a, 0x14, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0xaf, 0x01, 0x0a, 0x06, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1c,
	0x0a, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08,
	0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x0e, 0x70, 0x61, 0x74, 0x72,
	0x6f, 0x6e, 0x79, 0x6d, 0x69, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0e, 0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69, 0x63, 0x4e, 0x61, 0x6d, 0x65,
	0x12, 0x33, 0x0a, 0x08, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x73, 0x18, 0x14, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4b, 0x65, 0x79, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x52, 0x08, 0x63, 0x6f, 0x6e,
	0x74, 0x61, 0x63, 0x74, 0x73, 0x42, 0x7b, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70,
	0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x67, 0x72, 0x70, 0x63, 0x2e, 0x74, 0x6d, 0x73,
	0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x06, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x50, 0x01,
	0x5a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70,
	0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67,
	0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x13, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e,
	0x65, 0x74, 0x2e, 0x54, 0x4d, 0x53, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x03, 0x54,
	0x4d, 0x53, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_tms_model_driver_proto_rawDescOnce sync.Once
	file_tms_model_driver_proto_rawDescData = file_tms_model_driver_proto_rawDesc
)

func file_tms_model_driver_proto_rawDescGZIP() []byte {
	file_tms_model_driver_proto_rawDescOnce.Do(func() {
		file_tms_model_driver_proto_rawDescData = protoimpl.X.CompressGZIP(file_tms_model_driver_proto_rawDescData)
	})
	return file_tms_model_driver_proto_rawDescData
}

var file_tms_model_driver_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_tms_model_driver_proto_goTypes = []interface{}{
	(*Driver)(nil),                 // 0: tms.Driver
	(*common.KeyValueContact)(nil), // 1: common.KeyValueContact
}
var file_tms_model_driver_proto_depIdxs = []int32{
	1, // 0: tms.Driver.contacts:type_name -> common.KeyValueContact
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_tms_model_driver_proto_init() }
func file_tms_model_driver_proto_init() {
	if File_tms_model_driver_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_tms_model_driver_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Driver); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_tms_model_driver_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_tms_model_driver_proto_goTypes,
		DependencyIndexes: file_tms_model_driver_proto_depIdxs,
		MessageInfos:      file_tms_model_driver_proto_msgTypes,
	}.Build()
	File_tms_model_driver_proto = out.File
	file_tms_model_driver_proto_rawDesc = nil
	file_tms_model_driver_proto_goTypes = nil
	file_tms_model_driver_proto_depIdxs = nil
}
